<?xml version="1.0" encoding="UTF-8"?>
<config xmlns="http://web-harvest.sourceforge.net/schema/1.0/config" scriptlang="groovy">
    <script><![CDATA[
        import com.workfusion.odf.core.Intake;
        import com.workfusion.odf.impl.connector.TransactionCreateFakeTransactionSupplier;

        def params = [:];
        def transactions = Intake.init(binding).params(params).get().loadTransactions(TransactionCreateFakeTransactionSupplier.class);

        result = [];
        transactions.each {
            result << ['transaction_id': it.id];
        }
        ]]></script>

    <export include-original-data="true">
        <multi-column list="${result}" split-results="true">
            <put-to-column-getter name="_sys_transaction_id" property="transaction_id"/>
        </multi-column>
    </export>
</config>
